Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_KEA_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BBOOL | isSender
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pRandomA
CK_BYTE_PTR | pRandomB
CK_ULONG | ulPublicDataLen
CK_ULONG | ulRandomLen

## Detailed Description

Definition at line 1406 of file pkcs11t.h.

## Member Data Documentation

CK_BBOOL CK_KEA_DERIVE_PARAMS::isSender

Definition at line 1407 of file pkcs11t.h.

CK_BYTE_PTR CK_KEA_DERIVE_PARAMS::pPublicData

Definition at line 1412 of file pkcs11t.h.

CK_BYTE_PTR CK_KEA_DERIVE_PARAMS::pRandomA

Definition at line 1409 of file pkcs11t.h.

CK_BYTE_PTR CK_KEA_DERIVE_PARAMS::pRandomB

Definition at line 1410 of file pkcs11t.h.

CK_ULONG CK_KEA_DERIVE_PARAMS::ulPublicDataLen

Definition at line 1411 of file pkcs11t.h.

CK_ULONG CK_KEA_DERIVE_PARAMS::ulRandomLen

Definition at line 1408 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h